Bug 1935814 - Pod and Node lists eventually have incorrect row heights when additional columns have long text
Summary: Pod and Node lists eventually have incorrect row heights when additional colu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Debsmita Santra
QA Contact: Gajanan More
URL:
Whiteboard: Scrubbed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-05 15:55 UTC by Andy Braren
Modified: 2021-07-27 22:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-03-05-095421 Cluster ID: 15d6f1b3-87a4-438c-b67b-dfdf4359686e Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 11_2_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.182 Safari/537.36
Last Closed: 2021-07-27 22:51:38 UTC
Target Upstream Version:
dsantra: needinfo-


Attachments (Terms of Use)
Labels column enabled for the Node list (716.19 KB, image/png)
2021-03-05 15:55 UTC, Andy Braren
no flags Details
Node list with incorrect rendering (586.71 KB, image/png)
2021-03-05 15:57 UTC, Andy Braren
no flags Details
Pod list columns enabled (495.19 KB, image/png)
2021-03-05 15:58 UTC, Andy Braren
no flags Details
Pod list columns rendering (404.31 KB, image/png)
2021-03-05 15:58 UTC, Andy Braren
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7821 0 None closed Bug 1907660: Render pod list cell height correctly when pod names are long 2021-03-05 16:01:00 UTC
Github openshift console pull 8851 0 None open Bug 1935814: Fix row heights when additional columns in the pod & node list page have long text 2021-05-04 12:39:29 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:52:05 UTC

Description Andy Braren 2021-03-05 15:55:57 UTC
Created attachment 1760975 [details]
Labels column enabled for the Node list

Description of problem:
After enabling a column that contains long strings of text (like Labels or Machines) in the Pods/List pages, the table renders incorrectly after leaving the page and coming back to it.

Version-Release number of selected component (if applicable):
4.8.0 (also applies to 4.7)

How reproducible:
Enable either the Labels or Machines columns (and potentially others) in the Pods/List pages, navigate to a different page, and then come back to it again.

Steps to Reproduce:
1. Go to either the Nodes or Pods list page
2. Click the "Manage columns" button in the toolbar and enable the Labels and/or Machines columns
3. Navigate to a different page
4. Navigate back to the Nodes/Pods page
5. See the incorrect row height (you may need to adjust your browser width)

Actual results:
The row heights aren't correct. After a few seconds the list is re-rendered correctly.

Expected results:
The row heights should be correct immediately after entering the page.

Additional info:
This 4.7 bug/PR that fixed a rendering issue with long Pod/Node Names seems closely related to this issue for Label/Machine cells (and possibly others).
https://github.com/openshift/console/pull/7821
https://bugzilla.redhat.com/show_bug.cgi?id=1907660

Long names continue to render just fine, but maybe the same fix needs to be applied to the Label/Machine/other columns too?

This happens whenever a cell in those additional columns is taller than the row's wrapped Name string. It probably applies to any column, but Machine/Labels often have longer strings in them.

Comment 1 Andy Braren 2021-03-05 15:57:05 UTC
Created attachment 1760978 [details]
Node list with incorrect rendering

Comment 2 Andy Braren 2021-03-05 15:58:16 UTC
Created attachment 1760979 [details]
Pod list columns enabled

Comment 3 Andy Braren 2021-03-05 15:58:49 UTC
Created attachment 1760980 [details]
Pod list columns rendering

Comment 6 Debsmita Santra 2021-04-15 07:47:21 UTC
looking into this

Comment 8 Andrew Ballantyne 2021-05-18 21:49:11 UTC
Verified on 4.8.0-0.nightly-2021-05-18-072155
Using Chrome v90.0.4430.212

Row heights appear correct immediately as well as after scrolling.

Comment 11 errata-xmlrpc 2021-07-27 22:51:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.